Skip to content

An invoice was sent to your agency.

POST

An invoice was sent to your agency.

POSTed to each of your webhooks subscribed to it. Reply 2xx within 8 seconds. Failures retry after 1, 5, 30, 120, 360, 720 and 1440 minutes (8 attempts, about 45 hours); a webhook is turned off after 50 failures in a row. Deliveries go out within about a minute. Use the event id to de-duplicate: a retry after a timeout can deliver the same event twice.

Valjean-Signature
required
string

Example

t=1793600000,v1=5f2b…

T=,v1=<hex HMAC-SHA256 of “.” with your webhook’s signing secret>.

Valjean-Event-Id
required
string
Valjean-Event-Type
required
string
Media typeapplication/json
object
id
required

Event id (the same cursor as GET /events).

integer
type
required
string
created_at
required
string format: date-time
agency
required
string
submission_id
required
string | null format: uuid
data
required
object
type
required
Allowed value: invoice.sent
data
required
object
invoice_id
required
string format: uuid
invoice_number
required
integer
amount_due
required
number
due_on
required
string | null format: date

Example

{
"id": 41,
"type": "invoice.sent",
"created_at": "2026-11-02T14:20:00Z",
"agency": "Palmetto Coast Insurance Group",
"submission_id": "6f2a1c9e-4b3d-4e8a-9c21-7d4e5f6a8b90",
"data": {
"invoice_id": "3c4d5e6f-7a8b-4c9d-8e0f-1a2b3c4d5e6f",
"invoice_number": 1042,
"amount_due": 19212.5,
"due_on": "2027-01-14"
}
}

Received. Any 2xx works.